package calcolo_media;

class Calcolo_Media{

        public static void main(String args[]) {
                //Istanzio la variabile comune per lo scambio dei dati
                Buffer buffer = new Buffer();

                // Creo il gruppo dei produttori
                ThreadGroup produttori = new ThreadGroup("Produttori");

                //Istanzio il produttore
                Produttore p1 = new Produttore(produttori, "PRODUTTORE1", buffer, 333);
                Produttore p2 = new Produttore(produttori, "PRODUTTORE2", buffer, 251);
                //Istanzio il consumatore
                Consumatore c1 = new Consumatore("CONSUMATORE1", buffer, produttori);

                // Avvio entrambi i thread
                p1.start();
                p2.start();
                c1.start();

                try {
                        /* Aspetto che il consumatore abbia finito il proprio lavoro.
                         * Questo avverr quando avr acquisito 10 numeri.
                         */
                        c1.join();
                }
                catch(InterruptedException ie) {
                }

                // Stampo a video la media dei numeri "raccolti" dal consumatore
                System.out.println("La media : " + c1.getMedia());
        }
}
